package com.ym.game.contract

import com.ym.library.module.*

class GameContract {
    interface View {
        fun gameConfigResult(result: GameConfigValueEntity)
        fun gameDuihuanShopResult(result: List<GameDuiHuanShopEntity>)
        fun gameLandListResult(result: String,from:Int)
        fun gameHomeInfoResult(result: String)
        fun gameCleanBugResult(result: String)
        fun gameRewardLandResult(result: String)
        fun gamePlantLandResult(result: String)
        fun gameLockLandResult(result: String)
        fun gameUseAcceleratorsResult(result: String)
        fun gameUseFertilizeResult(result: String)
        fun gameWaterNotEnough(playNum:Int,landId: Int);
        fun gameCleanBugNotEnough(playNum:Int,landId: Int);
        fun gameCurrentOrderResult(result: String)
        fun gameFlyBoxResult(result: FlyBoxEntity)
    }

    interface Presenter {
        fun getUserInfo()
        fun getGameConfig()
        fun getDuiHuanShop()
        fun getLandList(from:Int)
        fun getHomeInfo()
        fun getCleanBug(landId:Int)
        fun getRewardLand(landId:Int)
        fun getPlantLand(landId:Int,plantId:Int)
        fun getLockLand(landId:Int)
        fun getUseAccelerators(landId:Int)
        fun getUseFertilize()
        fun getCurrentOrder()
        fun getFlyBox(type:Int)
    }
}